Package com.mckoi.database

## Class ProcedureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.mckoi.database.ProcedureException

All Implemented Interfaces:
  `java.io.Serializable`

    public class ProcedureException
    extends java.lang.RuntimeException

An exception that is generated from a stored procedure when some erronious condition occurs. This error is typically returned back to the client.

Author:
  Tobias Downer
See Also:
  Serialized Form

### Constructor Summary

Constructors
`ProcedureException​(java.lang.String str)` Construct the exception.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ProcedureException

    public ProcedureException​(java.lang.String str)

Construct the exception.